#!/usr/bin/env bash

for type in K2-instr K2-tabell K3-instr K3-tabell; do
    for i in $(seq 10 2 18); do
        if [ ! -f "$type/res/$i/aggregated.dat" ]; then
            ./res-aggregate.py "$type/res/$i/stats"* > "$type/res/$i/aggregated.dat"
            ./graphiphy.sh "$type/res/$i/aggregated.dat"
        fi
    done
done

for k in 2 3; do
    for i in $(seq 10 2 18); do
        ./graphiphy2.sh "K$k-instr/res/$i/aggregated.dat" "K$k-tabell/res/$i/aggregated.dat" \
                        "plots/k$k-$i.pdf" "$i" "$k"
    done
done
