#!/usr/bin/env python

import sys
import numpy as np
from numpy import percentile

if __name__ == '__main__':
    fname = sys.argv[1]
    aref = np.genfromtxt(fname, delimiter=' ')
    transposed = np.transpose(aref)
    candlesticks = percentile(transposed, [0, 25, 50, 75, 100])
    candlesticks.insert(0, sys.argv[2])
    candlesticks.append(np.mean(transposed))
    print ' '.join(map(str, candlesticks))
