#!/usr/bin/env python

import sys
import numpy as np
from numpy import percentile

if __name__ == '__main__':
     fnames = sys.argv[1:]
     data = [np.genfromtxt(fname, delimiter=' ') for fname in fnames]
     data = map(lambda f: map(lambda x: x[1:], f), data)
     data = np.transpose(data, (1, 2, 0))
     # gen {min 25 median 75 max mean} x {max min mean std.dev}
     for idx, line in enumerate(data):
         res = [idx]
         for one in line:
             res.extend(percentile(one, [0, 25, 50, 75, 100]))
             res.append(np.mean(one))
         print ' '.join(map(str, res))    
